Arch SplitMesh/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Programación==")
(Updating to match new version of source page)
 
(30 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Arch SplitMesh|Workbenches=[[Arch Module/es|Arquitectura]]|MenuLocation=Arquitectura -> Herramientas de conversión -> Dividir malla|SeeAlso=[[Arch SelectNonSolidMeshes/es|Seleccionar Mallas no sólidas]]}}

{{Docnav
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Arch SplitMesh
|Name/es=Arch SplitMesh
|MenuLocation=Arquitectura → Utilidades → Dividir malla
|Workbenches=[[Arch_Workbench/es|Arquitectura]]
|SeeAlso=[[Arch SelectNonSolidMeshes/es|Seleccionar Mallas no sólidas]]
}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
Esta herramienta divide un objeto [[Mesh Module/es|Malla]] seleccionado en sus componentes separados
Esta herramienta divide un objeto [[Mesh_Workbench/es|Malla]] seleccionado en sus componentes separados
</div>


<div class="mw-translate-fuzzy">
==Utilización==
==Utilización==
</div>


<div class="mw-translate-fuzzy">
# Seleccionar un objeto malla
# Seleccionar un objeto malla
# Presionar {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Dividir malla'''}} en el manú Arquitectura -> Herramientas de conversión
# Presionar {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Dividir malla'''}} en el manú Arquitectura -> Menu de utilidades
</div>


==Scripting==

<div class="mw-translate-fuzzy">
==Programación==
==Programación==
</div>


<div class="mw-translate-fuzzy">
The Split Mesh tool can by used in [[macros]] and from the python console by using the following function:
Esta herramienta se puede utilizar en [[macros/es|macros]] y desde la consola de Python mediante las siguientes funciones:
<syntaxhighlight>
</div>
splitMesh (object,[mark])
</syntaxhighlight>
splits the given mesh object into separated components.


{{Code|code=
If mark is False, nothing else is done. If True (default), non-manifold components will be painted in red.
new_list = splitMesh(obj, mark=True)
}}


<div class="mw-translate-fuzzy">
<languages/>
: Divide el objeto malla dado en sus componentes separados.
</div>

Example:

{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
}}


{{Docnav
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}

{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:52, 12 March 2022

Arch SplitMesh

Ubicación en el Menú
Arquitectura → Utilidades → Dividir malla
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Seleccionar Mallas no sólidas

Descripción

Esta herramienta divide un objeto Malla seleccionado en sus componentes separados

Utilización

  1. Seleccionar un objeto malla
  2. Presionar Dividir malla en el manú Arquitectura -> Menu de utilidades

Scripting

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python mediante las siguientes funciones:

new_list = splitMesh(obj, mark=True)
Divide el objeto malla dado en sus componentes separados.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)